Bug 991597 - [abrt] gdb-7.6-32.fc19: dump_core: Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
[abrt] gdb-7.6-32.fc19: dump_core: Process /usr/bin/gdb was killed by signal ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:bf3ef9266883a16e9a8b9845671...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 16:36 EDT by reiayanami01
Modified: 2015-02-17 11:31 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:31:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.12 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: core_backtrace (2.51 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: dso_list (3.34 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: environ (2.32 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: maps (16.74 KB, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: open_fds (423 bytes, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details
File: var_log_messages (360 bytes, text/plain)
2013-08-02 16:37 EDT, reiayanami01
no flags Details

  None (edit)
Description reiayanami01 2013-08-02 16:36:59 EDT
Version-Release number of selected component:
gdb-7.6-32.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/bin/dfa_determinize' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 1024 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
crash_function: dump_core
executable:     /usr/bin/gdb
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 dump_core at ../../gdb/utils.c:761
 #3 internal_vproblem at ../../gdb/utils.c:919
 #4 internal_verror at ../../gdb/utils.c:944
 #5 internal_error at ../../gdb/utils.c:954
 #6 regcache_raw_supply at ../../gdb/regcache.c:997
 #7 i386_supply_gregset at ../../gdb/i386-tdep.c:3209
 #8 get_core_register_section at ../../gdb/corelow.c:614
 #9 get_core_registers at ../../gdb/corelow.c:652
 #10 target_fetch_registers at ../../gdb/target.c:4017
 #11 regcache_raw_read at ../../gdb/regcache.c:612

Potential duplicate: bug 716627
Comment 1 reiayanami01 2013-08-02 16:37:04 EDT
Created attachment 782169 [details]
File: backtrace
Comment 2 reiayanami01 2013-08-02 16:37:07 EDT
Created attachment 782170 [details]
File: cgroup
Comment 3 reiayanami01 2013-08-02 16:37:11 EDT
Created attachment 782171 [details]
File: core_backtrace
Comment 4 reiayanami01 2013-08-02 16:37:15 EDT
Created attachment 782172 [details]
File: dso_list
Comment 5 reiayanami01 2013-08-02 16:37:20 EDT
Created attachment 782173 [details]
File: environ
Comment 6 reiayanami01 2013-08-02 16:37:24 EDT
Created attachment 782174 [details]
File: limits
Comment 7 reiayanami01 2013-08-02 16:37:28 EDT
Created attachment 782175 [details]
File: maps
Comment 8 reiayanami01 2013-08-02 16:37:31 EDT
Created attachment 782176 [details]
File: open_fds
Comment 9 reiayanami01 2013-08-02 16:37:35 EDT
Created attachment 782177 [details]
File: proc_pid_status
Comment 10 reiayanami01 2013-08-02 16:37:39 EDT
Created attachment 782178 [details]
File: var_log_messages
Comment 11 qub.box 2013-10-06 08:27:49 EDT
I compile the cactus jukebox 0.4.2stable with lazarus ide. Compilation was successful and i pressed F9 button to run player and retrive the next message of lazarus:

Debugger error 

Ooops, the debugger entered the error state
Save your work now !

Hit Stop, and hope the best? we're pulling the plug.

The GDB process is no longer running

The GDB command:
"info functions FPC_CPUINIT"
did not return any result.

The GDB process is no longer running.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gdb -silent -i mi -nx
crash_function: dump_core
executable:     /usr/bin/gdb
kernel:         3.11.2-201.fc19.x86_64
package:        gdb-7.6.1-41.fc19
reason:         Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Michael Stahl 2014-03-31 13:21:55 EDT
Another user experienced a similar problem:

in KDevelop, debugged and stepped into a statement (iirc it was "mpOutputDevice->SetClipRegion(Region(maClipPolyPolygon));" which is unique in LibreOffice)

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        gdb --interpreter=mi2 -quiet
crash_function: dump_core
executable:     /usr/bin/gdb
kernel:         3.13.7-100.fc19.x86_64
package:        gdb-7.6.1-46.fc19
reason:         gdb killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1043
Comment 13 Fedora End Of Life 2015-01-09 14:14:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:31:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.